Bug 139460 - Custom Sort popup in Autofilter popup can't be dismissed by scrolling away (GTK3)
Summary: Custom Sort popup in Autofilter popup can't be dismissed by scrolling away (G...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All Linux (All)
: low trivial
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3 AutoFilter
  Show dependency treegraph
 
Reported: 2021-01-07 08:22 UTC by Aron Budea
Modified: 2022-01-26 02:20 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2021-01-07 08:22:53 UTC
In an autofilter popup, hover over Custom Sort, which opens it, then hover back over some other sort item, eg. Sort Ascending.

-> The second level Custom Sort popup isn't dismissed.
No other action can be done on the autofilter popup until closing and reopening it.

GTK3 backend is affected, gen is unaffected.
Started with the following commit, bibisected using repo bibisect-linux-64-5.3.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b99bff93a3dd2f76c9c98ff3bc72a60cbd79730a
author		Caolán McNamara <caolanm@redhat.com>	2016-11-01 20:32:57 +0000
committer	Caolán McNamara <caolanm@redhat.com>	2016-11-02 14:04:18 +0000

gtk3: allow float grab inside float grab
Comment 1 Kevin Suo 2021-11-18 14:56:27 UTC
https://gerrit.libreoffice.org/c/core/+/125428
Comment 2 Commit Notification 2021-11-23 16:37:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2acdb3e617658ca19de26e8928e42b4955622feb

tdf#139460 improve autofilter sub-menu interaction under gtk

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2021-11-23 16:39:55 UTC
this is harder than it looks to get right, but seems good in trunk for gen and gtk (with or without wayland)